package com.bonus.canteen.core.common.constant;

/** @deprecated */
@Deprecated
public enum ConsumModeEnum {
   MANUAL(1, "手动"),
   QUOTA(2, "定额"),
   TYPE(3, "类别"),
   DEDUCTION(4, "补扣"),
   TABLE(10, "餐桌");

   private final Integer key;
   private final String desc;

   private ConsumModeEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public static String getDesc(Integer key) {
      ConsumModeEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         ConsumModeEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp.getDesc();
         }
      }

      return "";
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
